version: "3.5"
services:
  open-api-redis:
    container_name: open_api_redis
    image: redis:latest
    ports:
      - 6379:6379
  open-api-app:
    container_name: open-api-app
    build:
      context: ./app
      dockerfile: Dockerfile
    volumes:
      - './app:/usr/src/app'
      - '/usr/src/app/node_modules'
    ports:
      - '3000:3000'
    environment:
      - NODE_ENV=production
      - REACT_APP_BFF_URL=http://localhost:8080/v1
    stdin_open: true
  open-api-bff:
    container_name: open-api-bff
    build:
      context: ./bff
      dockerfile: Dockerfile
    depends_on:
      - open-api-redis
    environment:
      - PASSENGER_APP_ENV=development
      - OPENAI_ACCESS_TOKEN=$OPENAI_ACCESS_TOKEN
    ports:
      - "8080:80"
    volumes:
      - ./bff:/home/app/rails
